#ifndef Game_H
#define Game_H

#include <MiniGameV.h>
#include "Men.h"

class Game : public MiniGameV
{
private:
	Schrift *schrift;
	Bildschirm *screen;
	Men *men;
	int alpha;
	int ref;

public:
	// Konstruktor
	Game();
	// Destruktor
	~Game();
	// nicht constant
	virtual bool laden() override;
	virtual void doMausEreignis( MausEreignis &me ) override;
	virtual void doTastaturEreignis( TastaturEreignis &te ) override;
	virtual bool tick( double zeit ) override;
	virtual void render( Bild &zRObj ) override;
	virtual void setSchriftZ( Schrift *schrift ) override;
	virtual void setBildschirmZ( Bildschirm * screen ) override;
	// constant
	virtual bool istEnde() const override;
	// Reference Counting
	virtual MiniGameV *getThis() override;
	virtual MiniGameV *release() override;
};

#endif