#ifndef Asteroid_H
#define Asteroid_H

#include <Model2D.h>
#include <Datei.h>

using namespace Framework;

class Schuss;

class Asteroid
{
private:
	Model2D *asteroid;
	Vec2< float > pos;
	Vec2< float > speed;
	float mGre;
	float rSpeed;
	char id;
	int ref;

public:
	// Konstruktor
	Asteroid( Model2DData *data, Bild *textur, Vec2< float > p, Vec2< float > s, float rS, float r = 0, float gr = 0, char num = 0 );
	// Destruktor
	~Asteroid();
	// nicht constant
	bool tick( double zeit, int breite, int hhe );
	void render( Bild &zRObj );
	bool istGetroffen( Schuss *zSchuss );
	// constant
	void save( Datei *zD ) const;
	bool amLeben() const;
	Model2D *zModel() const;
	Punkt getPos() const;
	// Refernece Counting
	Asteroid *getThis();
	Asteroid *release();
};

#endif