#ifndef Schuss_H
#define Schuss_H

#include <Bild.h>
#include <Model2D.h>
#include <Datei.h>

using namespace Framework;

class Schuss
{
private:
	Vec2< float > pos;
	Vec2< float > speed;
	int ref;

public:
	// Konstruktor
	Schuss( Vec2< float > pos, Vec2< float > speed );
	// nicht constant
	bool tick( double zeit );
	void render( Bild &zRObj );
	// constant
	bool istInM2( const Model2D &mdl ) const;
	void save( Datei *zD ) const;
	Vec2< float > getPos() const;
	// Reference Counting
	Schuss *getThis();
	Schuss *release();
};

#endif